# Задача 4. Товары
# В базе данных магазина вся необходимая информация по товарам делится на два словаря: первый отвечает за коды товаров,
# второй — за списки количества разнообразных товаров на складе:
# Каждая запись второго словаря отображает, сколько и по какой цене закупалось товаров (цена указана за 1 шт.).
# Напишите программу, которая рассчитывает, на какую сумму лежит каждого товара на складе, и выводит эту информацию на экран.
# Результат работы программы.
# Лампа - 27 шт, стоимость 1134 руб
# Стол - 54 шт, стоимость 27860 руб
# Диван - 3 шт, стоимость 3550 руб
# Стул - 105 шт, стоимость 10311 руб

goods = {
    'Лампа': '12345',
    'Стол': '23456',
    'Диван': '34567',
    'Стул': '45678',
}
store = {
    '12345': [
        {'quantity': 27, 'price': 42},
    ],
    '23456': [
        {'quantity': 22, 'price': 510},
        {'quantity': 32, 'price': 520},
    ],
    '34567': [
        {'quantity': 2, 'price': 1200},
        {'quantity': 1, 'price': 1150},
    ],
    '45678': [
        {'quantity': 50, 'price': 100},
        {'quantity': 12, 'price': 95},
        {'quantity': 43, 'price': 97},
    ],
}

for gds, st in goods.items():
    total_quantity = 0
    total_price = 0
    for i_store in store[st]:
        total_quantity += i_store['quantity']
        total_price += i_store['quantity'] * i_store['price']
    print(gds, '-', total_quantity, 'шт, стоимость', total_price, 'руб')



